Set Global Role Tenants

Set Global Role Tenants
Resets list of organizations for whom the global role is explicitly published

Resets list of organizations for whom the global role is explicitly published

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/globalRoles/{id}/tenants
COPY
Path Parameters
string
id
Required

id


Request Body
EntityReferences of type(s) application/json
Optional
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "id": "string"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns EntityReferences of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineEntityReferences1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "name": "string",
            "id": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"values":["object"]}' https://{api_host}/cloudapi/1.0.0/globalRoles/{id}/tenants